Bug 1464522 - glance image-list fails while openstack image list works
glance image-list fails while openstack image list works
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: Cyril Roelandt
Mike Abrams
: Triaged, ZStream
Depends On:
Blocks: 1356451
  Show dependency treegraph
 
Reported: 2017-06-23 12:08 EDT by Chris Dearborn
Modified: 2017-11-15 20:04 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-15 20:04:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Dearborn 2017-06-23 12:08:55 EDT
Description of problem:
In testing the OSP10 zstream puddle, we found that sourcing the overcloudrc and then running glance image-list fails with an error while openstack image list works.

Version-Release number of selected component (if applicable):


How reproducible:
[osp_admin@mr-director deployment-validation]$ . ~/mr-13grc
[osp_admin@mr-director deployment-validation]$ glance image-list
You must provide a project_id or project_name (with project_domain_name or project_domain_id) via   --os-project-id (env[OS_PROJECT_ID])  --os-project-name (env[OS_PROJECT_NAME]),  --os-project-domain-id (env[OS_PROJECT_DOMAIN_ID])  --os-project-domain-name (env[OS_PROJECT_DOMAIN_NAME])
[osp_admin@mr-director deployment-validation]$ openstack image list
+--------------------------------------+--------+--------+
| ID                                   | Name   | Status |
+--------------------------------------+--------+--------+
| 7891aded-f435-4642-9179-9f8345e76a1c | cirros | active |
+--------------------------------------+--------+--------+

Steps to Reproduce:
See above.

Actual results:
glance image-list fails when it should work.

Expected results:
glance image-list should work.

Additional info:
Comment 3 Tzach Shefi 2017-09-24 08:39:00 EDT
Also hit on two separate systems on a recent build osp10 build (10 -p 2017-09-07.2)

python-glanceclient-2.5.0-2.el7ost.noarch
python-glance-13.0.0-1.el7ost.noarch
python-glance-store-0.18.0-2.el7ost.noarch
puppet-glance-9.6.0-1.el7ost.noarch
openstack-glance-13.0.0-1.el7ost.noarch
Comment 4 Tzach Shefi 2017-09-24 08:41:48 EDT
Second system with same problems: 
build date: 10   -p 2017-09-20.2

Later date but same versions
python-glanceclient-2.5.0-2.el7ost.noarch
python-glance-13.0.0-1.el7ost.noarch
python-glance-store-0.18.0-2.el7ost.noarch
puppet-glance-9.6.0-1.el7ost.noarch
openstack-glance-13.0.0-1.el7ost.noarch
Comment 6 Tzach Shefi 2017-09-24 13:27:10 EDT
In my case, Infrared's Jenkins customized job install was used to install, not sure if it or overcloud deploy automatically creates these two or just one of them.  

Any way if you source overcloudrc.v3 rather than overcloudrc 
Things work as expected. 

$ cat overcloudrc.v3 
# Clear any old environment that may conflict.
for key in $( set | awk '{FS="="}  /^OS_/ {print $1}' ); do unset $key ; done
export OS_NO_CACHE=True
export COMPUTE_API_VERSION=1.1
export OS_USERNAME=admin
export no_proxy=,10.0.0.105,192.168.24.9
export OS_USER_DOMAIN_NAME=Default
export OS_PROJECT_DOMAIN_NAME=Default
export OS_CLOUDNAME=overcloud
export OS_AUTH_URL=http://10.0.0.105:5000/v3
export NOVA_VERSION=1.1
export OS_PROJECT_NAME=admin
export OS_IDENTITY_API_VERSION=3
export OS_PASSWORD=Db9buQbXfgYg8r9fAM8UZHuN3
export PYTHONWARNINGS="ignore:Certificate has no, ignore:A true SSLContext object is not available"


$ cat overcloudrc
# Clear any old environment that may conflict.
for key in $( set | awk '{FS="="}  /^OS_/ {print $1}' ); do unset $key ; done
export OS_NO_CACHE=True
export OS_CLOUDNAME=overcloud
export OS_AUTH_URL=http://10.0.0.105:5000/v2.0
export NOVA_VERSION=1.1
export COMPUTE_API_VERSION=1.1
export OS_USERNAME=admin
export OS_PASSWORD=Db9buQbXfgYg8r9fAM8UZHuN3
export no_proxy=,10.0.0.105,192.168.24.9
export OS_PROJECT_NAME=admin
export PYTHONWARNINGS="ignore:Certificate has no, ignore:A true SSLContext object is not available"
Comment 7 Sean Merrow 2017-09-25 09:49:33 EDT
Hi Chris,

Can you please confirm the following:

1) Is there an overcloudrc.v3 file for you source?

2) If you source it, does it resolve the issue as it did for QE?

Thanks,
Sean
Comment 8 Chris Dearborn 2017-09-25 11:30:16 EDT
1) Yes, I have a rc.v3 file.
2) Yes, if I source it both "glance image-list" and "openstack image list" work.
Comment 9 Cyril Roelandt 2017-11-15 14:50:10 EST
Can we consider this bug solved, then?
Comment 10 Chris Dearborn 2017-11-15 17:47:49 EST
I just retested this with a recent OSP10 deployment, and the bug has been fixed.  As a result, we can close this BZ.
Comment 11 Paul Grist 2017-11-15 20:04:05 EST
Great, thanks for the re-test and update Chris.

Note You need to log in before you can comment on or make changes to this bug.